''' <summary>
''' Beispielfarbtabelle mit fest definierten Farben
''' </summary>

Public Class ExampleColorTable
    Inherits ProfessionalColorTable

#Region " Private Felder "

    ' Basis-Farben
    Private m_ButtonCheckedGradientBegin As Color = Color.FromArgb(255, 153, 185)
    Private m_ButtonCheckedGradientEnd As Color = Color.FromArgb(255, 76, 166)
    Private m_ButtonCheckedGradientMiddle As Color = Color.FromArgb(255, 117, 177)
    Private m_ButtonCheckedHighlight As Color = Color.FromArgb(196, 237, 222)
    Private m_ButtonCheckedHighlightBorder As Color = Color.FromArgb(49, 196, 140)
    Private m_ButtonPressedBorder As Color = Color.FromArgb(0, 128, 128)
    Private m_ButtonPressedGradientBegin As Color = Color.FromArgb(254, 62, 187)
    Private m_ButtonPressedGradientEnd As Color = Color.FromArgb(255, 153, 185)
    Private m_ButtonPressedGradientMiddle As Color = Color.FromArgb(255, 107, 186)
    Private m_ButtonPressedHighlight As Color = Color.FromArgb(152, 226, 197)
    Private m_ButtonPressedHighlightBorder As Color = Color.FromArgb(49, 196, 140)
    Private m_ButtonSelectedBorder As Color = Color.FromArgb(0, 128, 128)
    Private m_ButtonSelectedGradientBegin As Color = Color.FromArgb(255, 224, 224)
    Private m_ButtonSelectedGradientEnd As Color = Color.FromArgb(255, 138, 189)
    Private m_ButtonSelectedGradientMiddle As Color = Color.FromArgb(255, 173, 203)
    Private m_ButtonSelectedHighlight As Color = Color.FromArgb(196, 237, 222)
    Private m_ButtonSelectedHighlightBorder As Color = Color.FromArgb(0, 128, 0)
    Private m_CheckBackground As Color = Color.FromArgb(255, 112, 174)
    Private m_CheckPressedBackground As Color = Color.FromArgb(254, 62, 187)
    Private m_CheckSelectedBackground As Color = Color.FromArgb(254, 62, 187)
    Private m_GripDark As Color = Color.FromArgb(40, 119, 92)
    Private m_GripLight As Color = Color.FromArgb(255, 255, 255)
    Private m_ImageMarginGradientBegin As Color = Color.FromArgb(230, 255, 244)
    Private m_ImageMarginGradientEnd As Color = Color.FromArgb(123, 224, 184)
    Private m_ImageMarginGradientMiddle As Color = Color.FromArgb(202, 252, 229)
    Private m_ImageMarginRevealedGradientBegin As Color = Color.FromArgb(203, 246, 228)
    Private m_ImageMarginRevealedGradientEnd As Color = Color.FromArgb(116, 216, 176)
    Private m_ImageMarginRevealedGradientMiddle As Color = Color.FromArgb(159, 249, 211)
    Private m_MenuBorder As Color = Color.FromArgb(0, 148, 104)
    Private m_MenuItemBorder As Color = Color.FromArgb(0, 128, 128)
    Private m_MenuItemPressedGradientBegin As Color = Color.FromArgb(230, 255, 244)
    Private m_MenuItemPressedGradientEnd As Color = Color.FromArgb(123, 224, 184)
    Private m_MenuItemPressedGradientMiddle As Color = Color.FromArgb(159, 249, 211)
    Private m_MenuItemSelected As Color = Color.FromArgb(255, 194, 211)
    Private m_MenuItemSelectedGradientBegin As Color = Color.FromArgb(255, 224, 224)
    Private m_MenuItemSelectedGradientEnd As Color = Color.FromArgb(255, 138, 189)
    Private m_MenuStripGradientBegin As Color = Color.FromArgb(158, 245, 213)
    Private m_MenuStripGradientEnd As Color = Color.FromArgb(194, 250, 227)
    Private m_OverflowButtonGradientBegin As Color = Color.FromArgb(128, 250, 201)
    Private m_OverflowButtonGradientEnd As Color = Color.FromArgb(0, 143, 90)
    Private m_OverflowButtonGradientMiddle As Color = Color.FromArgb(83, 208, 164)
    Private m_RaftingContainerGradientBegin As Color = Color.FromArgb(158, 245, 213)
    Private m_RaftingContainerGradientEnd As Color = Color.FromArgb(194, 250, 227)
    Private m_SeparatorDark As Color = Color.FromArgb(108, 203, 170)
    Private m_SeparatorLight As Color = Color.FromArgb(240, 255, 246)
    Private m_StatusStripGradientBegin As Color = Color.FromArgb(158, 245, 213)
    Private m_StatusStripGradientEnd As Color = Color.FromArgb(194, 250, 227)
    Private m_ToolStripBorder As Color = Color.FromArgb(59, 155, 117)
    Private m_ToolStripContentPanelGradientBegin As Color = Color.FromArgb(158, 245, 213)
    Private m_ToolStripContentPanelGradientEnd As Color = Color.FromArgb(194, 250, 227)
    Private m_ToolStripDropDownBackground As Color = Color.FromArgb(245, 245, 245)
    Private m_ToolStripGradientBegin As Color = Color.FromArgb(230, 255, 244)
    Private m_ToolStripGradientEnd As Color = Color.FromArgb(123, 224, 184)
    Private m_ToolStripGradientMiddle As Color = Color.FromArgb(202, 252, 229)
    Private m_ToolStripPanelGradientBegin As Color = Color.FromArgb(158, 245, 213)
    Private m_ToolStripPanelGradientEnd As Color = Color.FromArgb(194, 250, 227)

#End Region

#Region " Properties "

    Public Overrides ReadOnly Property ButtonCheckedGradientBegin() As System.Drawing.Color
        Get
            Return m_ButtonCheckedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonCheckedGradientEnd() As System.Drawing.Color
        Get
            Return m_ButtonCheckedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonCheckedGradientMiddle() As System.Drawing.Color
        Get
            Return m_ButtonCheckedGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonCheckedHighlight() As System.Drawing.Color
        Get
            Return m_ButtonCheckedHighlight
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonCheckedHighlightBorder() As System.Drawing.Color
        Get
            Return m_ButtonCheckedHighlightBorder
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedBorder() As System.Drawing.Color
        Get
            Return m_ButtonPressedBorder
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedGradientBegin() As System.Drawing.Color
        Get
            Return m_ButtonPressedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedGradientEnd() As System.Drawing.Color
        Get
            Return m_ButtonPressedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedGradientMiddle() As System.Drawing.Color
        Get
            Return m_ButtonPressedGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedHighlight() As System.Drawing.Color
        Get
            Return m_ButtonPressedHighlight
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonPressedHighlightBorder() As System.Drawing.Color
        Get
            Return m_ButtonPressedHighlightBorder
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedBorder() As System.Drawing.Color
        Get
            Return m_ButtonSelectedBorder
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedGradientBegin() As System.Drawing.Color
        Get
            Return m_ButtonSelectedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedGradientEnd() As System.Drawing.Color
        Get
            Return m_ButtonSelectedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedGradientMiddle() As System.Drawing.Color
        Get
            Return m_ButtonSelectedGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedHighlight() As System.Drawing.Color
        Get
            Return m_ButtonSelectedHighlight
        End Get
    End Property
    Public Overrides ReadOnly Property ButtonSelectedHighlightBorder() As System.Drawing.Color
        Get
            Return m_ButtonSelectedHighlightBorder
        End Get
    End Property
    Public Overrides ReadOnly Property CheckBackground() As System.Drawing.Color
        Get
            Return m_CheckBackground
        End Get
    End Property
    Public Overrides ReadOnly Property CheckPressedBackground() As System.Drawing.Color
        Get
            Return m_CheckPressedBackground
        End Get
    End Property
    Public Overrides ReadOnly Property CheckSelectedBackground() As System.Drawing.Color
        Get
            Return m_CheckSelectedBackground
        End Get
    End Property
    Public Overrides ReadOnly Property GripDark() As System.Drawing.Color
        Get
            Return m_GripDark
        End Get
    End Property
    Public Overrides ReadOnly Property GripLight() As System.Drawing.Color
        Get
            Return m_GripLight
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginGradientBegin() As System.Drawing.Color
        Get
            Return m_ImageMarginGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginGradientEnd() As System.Drawing.Color
        Get
            Return m_ImageMarginGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginGradientMiddle() As System.Drawing.Color
        Get
            Return m_ImageMarginGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginRevealedGradientBegin() As System.Drawing.Color
        Get
            Return m_ImageMarginRevealedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginRevealedGradientEnd() As System.Drawing.Color
        Get
            Return m_ImageMarginRevealedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ImageMarginRevealedGradientMiddle() As System.Drawing.Color
        Get
            Return m_ImageMarginRevealedGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property MenuBorder() As System.Drawing.Color
        Get
            Return m_MenuBorder
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemBorder() As System.Drawing.Color
        Get
            Return m_MenuItemBorder
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemPressedGradientBegin() As System.Drawing.Color
        Get
            Return m_MenuItemPressedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemPressedGradientEnd() As System.Drawing.Color
        Get
            Return m_MenuItemPressedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemPressedGradientMiddle() As System.Drawing.Color
        Get
            Return m_MenuItemPressedGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemSelected() As System.Drawing.Color
        Get
            Return m_MenuItemSelected
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemSelectedGradientBegin() As System.Drawing.Color
        Get
            Return m_MenuItemSelectedGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property MenuItemSelectedGradientEnd() As System.Drawing.Color
        Get
            Return m_MenuItemSelectedGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property MenuStripGradientBegin() As System.Drawing.Color
        Get
            Return m_MenuStripGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property MenuStripGradientEnd() As System.Drawing.Color
        Get
            Return m_MenuStripGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property OverflowButtonGradientBegin() As System.Drawing.Color
        Get
            Return m_OverflowButtonGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property OverflowButtonGradientEnd() As System.Drawing.Color
        Get
            Return m_OverflowButtonGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property OverflowButtonGradientMiddle() As System.Drawing.Color
        Get
            Return m_OverflowButtonGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property RaftingContainerGradientBegin() As System.Drawing.Color
        Get
            Return m_RaftingContainerGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property RaftingContainerGradientEnd() As System.Drawing.Color
        Get
            Return m_RaftingContainerGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property SeparatorDark() As System.Drawing.Color
        Get
            Return m_SeparatorDark
        End Get
    End Property
    Public Overrides ReadOnly Property SeparatorLight() As System.Drawing.Color
        Get
            Return m_SeparatorLight
        End Get
    End Property
    Public Overrides ReadOnly Property StatusStripGradientBegin() As System.Drawing.Color
        Get
            Return m_StatusStripGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property StatusStripGradientEnd() As System.Drawing.Color
        Get
            Return m_StatusStripGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripBorder() As System.Drawing.Color
        Get
            Return m_ToolStripBorder
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripContentPanelGradientBegin() As System.Drawing.Color
        Get
            Return m_ToolStripContentPanelGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripContentPanelGradientEnd() As System.Drawing.Color
        Get
            Return m_ToolStripContentPanelGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripDropDownBackground() As System.Drawing.Color
        Get
            Return m_ToolStripDropDownBackground
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripGradientBegin() As System.Drawing.Color
        Get
            Return m_ToolStripGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripGradientEnd() As System.Drawing.Color
        Get
            Return m_ToolStripGradientEnd
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripGradientMiddle() As System.Drawing.Color
        Get
            Return m_ToolStripGradientMiddle
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripPanelGradientBegin() As System.Drawing.Color
        Get
            Return m_ToolStripPanelGradientBegin
        End Get
    End Property
    Public Overrides ReadOnly Property ToolStripPanelGradientEnd() As System.Drawing.Color
        Get
            Return m_ToolStripPanelGradientEnd
        End Get
    End Property
#End Region

End Class
