Imports System.Xml
''' <summary>
''' List of adresses.
''' </summary>
Public Class AddressList
    Inherits List(Of Address)

#Region " Constructor "
    Public Sub New()

    End Sub
    ''' <summary>
    ''' Reads all addresses from a template XML structure and corrects language specific content.
    ''' </summary>
    ''' <param name="Node"></param>
    ''' <param name="IsTemplate"></param>
    Public Sub New(ByVal Node As XmlNode, ByVal IsTemplate As Boolean)
        For Each Nd As XmlNode In Node.ChildNodes
            Add(New Address(Nd, True))
        Next
    End Sub
    ''' <summary>
    ''' Reads all addresses from a XML structure.
    ''' </summary>
    Public Sub New(ByVal Node As XmlNode)
        For Each Nd As XmlNode In Node.ChildNodes
            Add(New Address(Nd))
        Next
    End Sub
#End Region

#Region " Methods "
    ''' <summary>
    ''' Writes all addresses into an XML document.
    ''' </summary>
    Public Sub WriteXML(ByVal Writer As XmlTextWriter)
        For Each Addr As Address In Me
            Writer.WriteStartElement("Address")
            Addr.WriteXML(Writer)
            Writer.WriteEndElement()
        Next
    End Sub
#End Region

End Class
