Imports OwnWordInterop.Document
Public Class BritishStrings
    Inherits LanguageStrings

#Region " Methods "

#Region " Windows Forms messages "
    ''' <summary>
    ''' Returns a string to display if missing or not selected ListViewItem was found.
    ''' </summary>
    Overrides Function Frm_MissingDocumentString(ByVal Var As Integer, ByVal IsTemplate As Boolean, ByVal NotExists As Boolean) As String
        Dim DocName As String
        If IsTemplate Then
            DocName = "template"
        Else
            DocName = "document"
        End If

        If Var = 1 Then
            DocName &= "s"
            If NotExists Then
                Return "No " & DocName & " exist."
            Else
                Return "No " & DocName & " selected."
            End If
        Else
            If NotExists Then
                Return "First, please create a " & DocName & "."
            Else
                Return "First, please select a " & DocName & " below."
            End If
        End If
    End Function
    ''' <summary>
    ''' Returns a string to display Toolstrip Button Hoover Information in frm_Main.
    ''' </summary>
    Public Overrides Function Frm_HooverExplanation(ByVal Hooverindex As Integer) As String
        Select Case Hooverindex
            Case -1
                Return "If you move the Mouse over the buttons on the left, you will see here an explanation for their functions."
            Case 0
                Return "If you press this button, a dialog box appears, where you can specify an address. Following this Word will create a new document template based on this data."
            Case 1
                Return "When you push this button you can create a new document based on a selected Template."
            Case 2
                Return "If you already have created a document, you can fill it again or correct when you press this button."
            Case 3
                Return "This is a special feature. You can put hidden data (for example, to fill out forms) into the Word document."
            Case 4
                Return "If you press this button, you can read the  hidden text in a your Word documents."
            Case 5
                Return "Word could not be found."
            Case Else
                Return ""
        End Select
    End Function
    ''' <summary>
    ''' Returns a string to display a message after document creation in frm_Main.
    ''' </summary>
    Public Overrides Function Frm_Message(ByVal Index As Integer) As String
        Select Case Index
            Case 0
                Return "Now the new template is created." & vbCrLf & _
                "You can change it with images, colors, formats..." & vbCrLf & _
                "You can also rearrange the bookmarks, but please don't delete them." & vbCrLf & vbCrLf & _
                "Then you can create documents from this template."
            Case 1
                Return "Now the new document is created." & vbCrLf & _
                "You can change the content." & vbCrLf & vbCrLf & _
                "After this you could change the address data programmatically."
            Case 2
                Return "Now the existing document was filled-in by other address data." & vbCrLf & _
                "You can change it." & vbCrLf & vbCrLf & _
                "After this you could change the address data again programmatically."
            Case 3
                Return "Hidden Text was written."
            Case 4
                Return "No hidden Text found."
            Case 5
                Return "Found some Text:"
            Case 6
                Return "OwnWordRange Test - Refill Document"
            Case 7
                Return "Here you can reedit the receivers address data. You can also select another address."
            Case 8
                Return "Please insert some text to write hidden into the selected document."
            Case 9
                Return "This is some hidden text"
            Case Else
                Return ""
        End Select
    End Function
#End Region

#Region " Letter Methods "
    ''' <summary>
    ''' Returns a language specific string with city, region and postalcode for letters.
    ''' </summary>
    Protected Overrides Function Letter_CityLine(ByVal Addr As Address) As String
        Dim Txt As String = ""
        If Addr.City <> "" Then Txt &= " " & Addr.City & ","
        If Addr.Region <> "" Then Txt &= " " & Addr.Region
        If Addr.PostalCode <> "" Then Txt &= " " & Addr.PostalCode
        Return Txt
    End Function
    ''' <summary>
    ''' Creates a language specific description how to fill in the date field in a letter.
    ''' </summary>
    Protected Overrides Function Letter_DateLine(ByVal Addr As Address) As Range
        Dim Rng As New Range

        Rng.Text.Add(Format(Now, "dd MMMM yyyy"))
        Rng.Format.Alignment = WdParagraphAlignment.wdAlignParagraphRight

        Return Rng
    End Function
    ''' <summary>
    ''' Creates a description how to build the senders address field in Word documents.
    ''' </summary>
    Protected Overrides Function Letter_SendersLogo(ByVal Addr As Address) As Range
        Dim Result As Range = MyBase.Letter_SendersLogo(Addr)
        Result.Tables(0).Alignment = WdRowAlignment.wdAlignRowRight
        Return Result
    End Function
    ''' <summary>
    ''' Creates a basic structure for a buisness letter with bookmarks.
    ''' </summary>
    Protected Overrides Function Letter_BasicStructure() As OwnWordInterop.Document.Range
        Dim Rng As New Range
        ''Senders Address (right)
        ''Date (right)

        Rng.Format.Alignment = WdParagraphAlignment.wdAlignParagraphLeft
        Rng.Format.LineSpacingRule = WdLineSpacing.wdLineSpaceSingle
        Rng.Format.SpaceAfter = 0
        Rng.Format.SpaceBefore = 0

        Rng.Bookmarks.Add("SendersAddress")
        Rng.Breaks.Add(WdBreakType.wdSectionBreakContinuous)


        Rng.Paragraphs.Add().Format.Alignment = WdParagraphAlignment.wdAlignParagraphRight
        Rng.Bookmarks.Add("Date")
        Rng.Paragraphs.Add().Format.Alignment = WdParagraphAlignment.wdAlignParagraphLeft


        Dim Tbl As Table = Rng.Tables.Add(2, 1)
        Tbl.Columns(0).PreferredWidth = Range.CentimetersToPoints(8)
        Tbl.AutoFitBehavior = WdAutoFitBehavior.wdAutoFitContent
        Tbl.Cell(0, 0).Range.Bookmarks.Add("RecipientAddress")
        Tbl.Cell(1, 0).Range.Bookmarks.Add("SendersAddressLine")
        Tbl.Cell(1, 0).Borders.TopBorder = WdLineStyle.wdLineStyleSingle


        Rng.Paragraphs.Add().Format.SpaceAfter = 6
        Rng.Paragraphs.Add()
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Salutation")
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("SubjectLine")

        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Body")
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Greeting")
        Rng.Paragraphs.Add()
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Signature")

        Return Rng
    End Function
#End Region

#Region " Common Methods "
    ''' <summary>
    ''' Returns a language specific string.
    ''' </summary>
    Public Overrides Function GetTranslation(ByVal Source As String) As String
        Return Source
    End Function
    ''' <summary>
    ''' Creates a language specific salutation for letters .
    ''' </summary>
    Public Overrides Function GetSalutation(ByVal Gender As Genders, ByVal LastName As String, ByVal Title As String) As String

        If Gender = Genders.Impersonal Then
            Return "Dear Sir or Madam,"
        ElseIf LastName = "" Then
            If Gender = Genders.Male Then
                Return "Dear Sir,"
            Else
                Return "Dear Madam,"
            End If
        Else
            If Title = "" Then
                If Gender = Genders.Male Then
                    Return "Dear Mr " & LastName & ","
                Else
                    Return "Dear Ms " & LastName & ","
                End If
            Else
                Return "Dear " & Title & " " & LastName & ","
            End If
        End If

    End Function
    ''' <summary>
    ''' Creates a language specific closing for letters.
    ''' </summary>
    Public Overrides Function GetLetterClosing(ByVal Gender As Genders, ByVal LastName As String) As String
        If Gender = Genders.Impersonal OrElse LastName = "" Then
            Return "Yours faithfully"
        Else
            Return "Yours sincerely"
        End If
    End Function
#End Region

#End Region

End Class
