Imports OwnWordInterop.Document
Public Class GermanStrings
    Inherits LanguageStrings

#Region " Methods "

#Region " Windows Forms messages "
    ''' <summary>
    ''' Returns a string to display if missing or not selected ListViewItem was found.
    ''' </summary>
    Overrides Function Frm_MissingDocumentString(ByVal Var As Integer, ByVal IsTemplate As Boolean, ByVal NotExists As Boolean) As String
        Dim DocName As String
        If IsTemplate Then
            DocName = "e Dokumentenvorlage"
        Else
            DocName = " Dokument"
        End If

        If Var = 1 Then
            If NotExists Then
                Return "Es existiert noch kein" & DocName & "."
            Else
                Return "Kein" & DocName & " ausgewhlt."
            End If
        Else
            If NotExists Then
                Return "Bitte zuerst ein" & DocName & " erstellen."
            Else
                Return "Bitte zuerst unten ein" & DocName & " auswhlen."
            End If
        End If
    End Function
    ''' <summary>
    ''' Returns a string to display toolstrip button hoover information in frm_Main.
    ''' </summary>
    Public Overrides Function Frm_HooverExplanation(ByVal Hooverindex As Integer) As String
        Select Case Hooverindex
            Case -1
                Return "Wenn Sie die Maus ber die Buttons auf der linken Seite bewegen, sehen Sie hier eine Erklrung fr ihre Funktionen."
            Case 0
                Return "Wenn Sie diesen Button drcken, wird ein Dialogfeld angezeigt, in dem man Adressdaten angeben kann. Im Anschluss wird Word damit eine neue Dokumentenvorlage erstellen."
            Case 1
                Return "ber diese Schaltflche knnen Sie ein neues Dokument auf der Grundlage einer ausgewhlten Vorlage erstellen."
            Case 2
                Return "Wenn Sie bereits ein Dokument erstellt haben, knnen Sie dieses hier korrigieren und erneut erstellen."
            Case 3
                Return "Dies ist ein spezielles Feature. Man kann damit Daten (z.B. zum Ausfllen von Formularen) im Word-Dokument unterbringen."
            Case 4
                Return "Nach Klick auf diesen Button kann man den in einem Word-Dokument untergebrachten verborgenen Text wieder lesen."
            Case 5
                Return "Word konnte nicht gefunden werden."
            Case Else
                Return ""
        End Select
    End Function
    ''' <summary>
    ''' Returns a string to display a message after document creation in frm_Main.
    ''' </summary>
    Public Overrides Function Frm_Message(ByVal Index As Integer) As String
        Select Case Index
            Case 0
                Return "Eben wurde eine neue Dokumentenvorlage erstellt." & vbCrLf & _
                "Sie kann mit Bildern, Farben und Formaten verndert werden." & vbCrLf & _
                "Sie knnen auch die Reihenfolge der Textmarken ndern, sollten diese aber nicht lschen." & vbCrLf & vbCrLf & _
                "Im Anschluss knnen Sie damit Briefe erstellen."
            Case 1
                Return "Hier sehen Sie einen Brief, der mit der Dokumentenvorlage erstellt wurde." & vbCrLf & _
                "Sie knnen seinen Inhalt verndern." & vbCrLf & vbCrLf & _
                "Im Anschluss daran knnen Sie mit dem Programm die enthaltenen Adressdaten korrigieren."
            Case 2
                Return "Die Textmarken in diesem Dokument wurde eben mit neuen Daten ausgefllt." & vbCrLf & _
                "Sie knnen den Inhalt erneut verndern." & vbCrLf & vbCrLf & _
                "Trotzdem knnen Sie im Anschluss die Adressdaten immer noch durch das Programm austauschen, wenn sie die im Dokument vorhandenen Textmarken erhalten."
            Case 3
                Return "Text wurde an verborgener Stelle in das ausgewhlte Dokument geschrieben."
            Case 4
                Return "In diesem Dokument wurde kein verborgener Text gefunden."
            Case 5
                Return "Folgender Text wurde gefunden:"
            Case 6
                Return "OwnWordRange Test - Vorhandenes Dokument korrigieren"
            Case 7
                Return "Hier knnen Sie die Anschrift des Empfngers, Begrung und Gruformel fr den bestehenden Brief ndern. Sie knnen auch eine gnzlich andere Adresse auswhlen."
            Case 8
                Return "Bitte geben Sie hier Text ein, der verborgen im Dokument untergebracht werden soll."
            Case 9
                Return "Dies ist ein verborgener Text"
            Case Else
                Return ""
        End Select

    End Function
#End Region

#Region " Letter Methods "
    ''' <summary>
    ''' Returns a language specific string with city, region and postalcode for letters.
    ''' </summary>
    Protected Overrides Function Letter_CityLine(ByVal Addr As Address) As String
        Dim Txt As String = ""
        If Addr.PostalCode <> "" Then Txt &= " " & Addr.PostalCode
        If Addr.City <> "" Then Txt &= " " & Addr.City
        Return Txt
    End Function
    ''' <summary>
    ''' Creates a language specific description how to fill in the date field in a letter.
    ''' </summary>
    Protected Overrides Function Letter_DateLine(ByVal Addr As Address) As Range
        Dim Rng As New Range

        Dim Txt As String = ""
        If Addr.City <> "" Then
            Txt = Addr.City & ", den "
        End If
        Txt &= Format(Now, "dd.MM.yyyy")

        Rng.Text.Add(Txt)

        Return Rng
    End Function
    ''' <summary>
    ''' Creates a basic structure for a buisness letter with bookmarks.
    ''' </summary>
    Protected Overrides Function Letter_BasicStructure() As OwnWordInterop.Document.Range
        Dim Rng As New Range
        Dim Par As Paragraph
        Dim Tbl As Table
        Dim Rng1 As Range

        Rng.Format.Alignment = WdParagraphAlignment.wdAlignParagraphLeft
        Rng.Format.LineSpacingRule = WdLineSpacing.wdLineSpaceSingle
        Rng.Format.SpaceAfter = 0
        Rng.Format.SpaceBefore = 0
        Rng.Bookmarks.Add("SendersAddress")

        Rng.Paragraphs.Add()
        Rng.Breaks.Add(WdBreakType.wdSectionBreakContinuous)

        Tbl = Rng.Tables.Add(2, 1)
        Tbl.Columns(0).PreferredWidth = Range.CentimetersToPoints(8)
        Rng1 = Tbl.Cell(0, 0).Range
        Rng1.Bookmarks.Add("RecipientAddress")
        Rng1 = Tbl.Cell(1, 0).Range
        Rng1.Bookmarks.Add("SendersAddressLine")
        Tbl.Cell(1, 0).Borders.TopBorder = WdLineStyle.wdLineStyleSingle

        Par = Rng.Paragraphs.Add
        Par.Format.Alignment = WdParagraphAlignment.wdAlignParagraphRight
        Par.Format.SpaceAfter = 6
        Rng.Bookmarks.Add("Date")

        Par = Rng.Paragraphs.Add()
        Par.Format.Alignment = WdParagraphAlignment.wdAlignParagraphLeft

        Rng.Paragraphs.Add()

        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("SubjectLine")
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Salutation")

        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Body")
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Greeting")
        Rng.Paragraphs.Add()
        Rng.Paragraphs.Add()
        Rng.Bookmarks.Add("Signature")

        Return Rng
    End Function
#End Region

#Region " Common Methods "
    ''' <summary>
    ''' Creates a language specific salutation for letters.
    ''' </summary>
    Public Overrides Function GetSalutation(ByVal Gender As Genders, ByVal LastName As String, ByVal Title As String) As String
        If Gender = Genders.Impersonal OrElse LastName = "" Then
            Return "Sehr geehrte Damen und Herren,"
        Else
            Dim Result As String = ""
            If Gender = Genders.Male Then
                Result = "Sehr geehrter Herr"
            Else
                Result = "Sehr geehrte Frau"
            End If
            If Title <> "" Then Result &= " " & Title
            Result &= " " & LastName & ","
            Return Result
        End If
    End Function
    ''' <summary>
    ''' Creates language specific closing for letters.
    ''' </summary>
    Public Overrides Function GetLetterClosing(ByVal Gender As Genders, ByVal LastName As String) As String
        Return "Mit freundlichen Gren"
    End Function
    ''' <summary>
    ''' Returns a language specific string.
    ''' </summary>
    Public Overrides Function GetTranslation(ByVal Source As String) As String
        Select Case Source
            Case "Phone"
                Return "Telefon"
            Case "Empty Address"
                Return "Leere Adresse"
            Case Else
                Return Source
        End Select
    End Function
#End Region

#End Region

End Class
