Imports System.Xml
Namespace MyXML
    ''' <summary>
    ''' Easy to use XMLTextWriter
    ''' </summary>
    Public Class Writer
        Implements IDisposable

        Private m_Writer As XmlTextWriter

        Public Sub New(ByVal Path As String)
            m_Writer = New XmlTextWriter(Path, System.Text.Encoding.UTF8)
            m_Writer.WriteStartDocument(True)
            m_Writer.WriteStartElement("Elements")
        End Sub

        Public Function GetWriter() As XmlTextWriter
            Return m_Writer
        End Function

#Region " IDisposable "
        Private m_WasDisposed As Boolean = False

        Protected Overridable Sub Dispose(ByVal disposing As Boolean)
            If Not Me.m_WasDisposed Then

                m_Writer.WriteEndElement()
                m_Writer.WriteEndDocument()
                m_Writer.Close()

            End If
            Me.m_WasDisposed = True
        End Sub


        Public Sub Dispose() Implements IDisposable.Dispose
            Dispose(True)
            GC.SuppressFinalize(Me)
        End Sub
#End Region

    End Class
End Namespace
