''' <summary>
''' Base form to enable colored toolstrips in design time.
''' </summary>
Public Class frmColored_Base

    Private WithEvents m_Renderer As ColorWheelToolStripRenderer
    Public Sub New()
        m_Renderer = New ColorWheelToolStripRenderer(New ColorWheelProfessionalTable)
        m_Renderer.ControlHue = 0.6R

        InitializeComponent()

        Me.BackColor = m_Renderer.ControlBackColor
    End Sub
    Protected Overrides Sub OnControlAdded(ByVal e As System.Windows.Forms.ControlEventArgs)
        MyBase.OnControlAdded(e)
        If e.Control.GetType.IsSubclassOf(GetType(ToolStrip)) OrElse e.Control.GetType Is GetType(ToolStrip) Then
            Dim ctl As ToolStrip = TryCast(e.Control, ToolStrip)
            If ctl IsNot Nothing Then
                ctl.RenderMode = ToolStripRenderMode.Professional
                ctl.Renderer = m_Renderer
            End If

        End If
    End Sub
End Class