Namespace Document
    ''' <summary>
    ''' Describes a break in the document range.
    ''' </summary>
    Public Class Break
        Inherits WritableObject

#Region " Fields "
        ''' <summary>
        ''' Type of Break
        ''' </summary>
        ''' <remarks></remarks>
        Private m_Type As WdBreakType
#End Region

#Region " Constructor "
        ''' <summary>
        ''' Constructor
        ''' </summary>
        Public Sub New(ByVal Type As WdBreakType)
            m_Type = Type
        End Sub
#End Region

#Region " Methods "
        ''' <summary>
        ''' Writes this break into a Word range.
        ''' </summary>
        ''' <param name="Rng">Active Word range.</param>
        Friend Overrides Sub Write(ByRef Rng As Object)
            ' If you insert a section break, the break will be inserted before the Range object.
            Rng.Collapse(WdCollapseDirection.wdCollapseEnd)
            Rng.InsertBreak(m_Type)
        End Sub
#End Region

    End Class
End Namespace