Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Describes a font object.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Never)> _
    Public Class Font

#Region " Fields "
        ''' <summary>
        ''' Name of the font.
        ''' </summary>
        Private m_Name As String = ""
        ''' <summary>
        ''' Size of the font.
        ''' </summary>
        Private m_Size As Single = 0.0F
        ''' <summary>
        ''' Underline value for the font of this segment.
        ''' </summary>
        Private m_Underline As WdUnderline = WdUnderline.wdUnderlineNone
        ''' <summary>
        ''' Bold value for the font of this segment.
        ''' </summary>
        Private m_Bold As Boolean = False
        ''' <summary>
        ''' Italic value for the font of this segment.
        ''' </summary>
        Private m_Italic As Boolean = False
#End Region

#Region " Constructor "
        Friend Sub New()

        End Sub
#End Region

#Region " Properties "
        ''' <summary>
        ''' Name of the font.
        ''' </summary>
        Property Name() As String
            Get
                Return m_Name
            End Get
            Set(ByVal value As String)
                m_Name = value
            End Set
        End Property
        ''' <summary>
        ''' Size of the font.
        ''' </summary>
        Property Size() As Single
            Get
                Return m_Size
            End Get
            Set(ByVal value As Single)
                m_Size = value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the underline value for the font of this segment.
        ''' </summary>
        Property Underline() As WdUnderline
            Get
                Return m_Underline
            End Get
            Set(ByVal value As WdUnderline)
                m_Underline = value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the bold value for the font of this segment.
        ''' </summary>
        Property Bold() As Boolean
            Get
                Return m_Bold
            End Get
            Set(ByVal value As Boolean)
                m_Bold = value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the italic value for the font of this segment.
        ''' </summary>
        Property Italic() As Boolean
            Get
                Return m_Italic
            End Get
            Set(ByVal value As Boolean)
                m_Italic = value
            End Set
        End Property
#End Region

    End Class
End Namespace