Namespace Document
    ''' <summary>
    ''' Describes a table row.
    ''' </summary>
    Public Class Row

#Region " Fields "
        ''' <summary>
        ''' List of cells in this row.
        ''' </summary>
        Private m_Cells As New Cells
#End Region

#Region " Constructor "
        ''' <summary>
        ''' Constructor for a new table row.
        ''' </summary>
        Friend Sub New()

        End Sub
        ''' <summary>
        ''' Constructor for a new table row.
        ''' </summary>
        ''' <param name="Tbl">Referenced table.</param>
        ''' <param name="RowIndex">Index of table row.</param>
        Friend Sub New(ByVal Tbl As Table, ByVal RowIndex As Integer)
            For I As Integer = 0 To Tbl.ColumnCount - 1
                m_Cells.Add(Tbl.Cell(RowIndex, I))
            Next
        End Sub
#End Region

#Region " Properties "
        ''' <summary>
        ''' List of cells in this row.
        ''' </summary>
        ReadOnly Property Cells() As Cells
            Get
                Return m_Cells
            End Get
        End Property
        ''' <summary>
        ''' Gets or sets the style of top border.
        ''' </summary>
        WriteOnly Property BorderTop() As WdLineStyle
            Set(ByVal value As WdLineStyle)
                For Each Cl As Cell In m_Cells
                    Cl.Borders.TopBorder = value
                Next
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the style of bottom border.
        ''' </summary>
        WriteOnly Property BorderBottom() As WdLineStyle
            Set(ByVal value As WdLineStyle)
                For Each Cl As Cell In m_Cells
                    Cl.Borders.BottomBorder = value
                Next
            End Set
        End Property
#End Region

    End Class
End Namespace