Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Listing of border styles of a tablecell
    ''' </summary>
    <Serializable(), EditorBrowsable(EditorBrowsableState.Never)> _
    Public Class TableCellBorders

#Region " Fields "
        ''' <summary>
        ''' Style of left border.
        ''' </summary>
        Private m_LeftBorder As WdLineStyle = WdLineStyle.wdLineStyleNotSet
        ''' <summary>
        ''' Style of right border.
        ''' </summary>
        Private m_RightBorder As WdLineStyle = WdLineStyle.wdLineStyleNotSet
        ''' <summary>
        ''' Style of top border.
        ''' </summary>
        Private m_TopBorder As WdLineStyle = WdLineStyle.wdLineStyleNotSet
        ''' <summary>
        ''' Style of bottom border.
        ''' </summary>
        Private m_BottomBorder As WdLineStyle = WdLineStyle.wdLineStyleNotSet
#End Region

#Region " Constructor "
        ''' <summary>
        ''' Constructor.
        ''' </summary>
        Friend Sub New()

        End Sub
#End Region

#Region " Properties "
        ''' <summary>
        ''' Gets or sets the Style of left border.
        ''' </summary>
        Property LeftBorder() As WdLineStyle
            Get
                Return m_LeftBorder
            End Get
            Set(ByVal Value As WdLineStyle)
                m_LeftBorder = Value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the Style of right border.
        ''' </summary>
        Property RightBorder() As WdLineStyle
            Get
                Return m_RightBorder
            End Get
            Set(ByVal Value As WdLineStyle)
                m_RightBorder = Value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the Style of top border.
        ''' </summary>
        Property TopBorder() As WdLineStyle
            Get
                Return m_TopBorder
            End Get
            Set(ByVal Value As WdLineStyle)
                m_TopBorder = Value
            End Set
        End Property
        ''' <summary>
        ''' Gets or sets the Style of bottom border.
        ''' </summary>
        Property BottomBorder() As WdLineStyle
            Get
                Return m_BottomBorder
            End Get
            Set(ByVal Value As WdLineStyle)
                m_BottomBorder = Value
            End Set
        End Property
        ''' <summary>
        ''' Allows to access borders by index.
        ''' </summary>
        ''' <param name="I">Integer (TopBorder=-1, LeftBorder=-2, BottomBorder=-3, RightBorder=-4)</param>
        Default Property Item(ByVal I As Integer) As WdLineStyle
            Get
                Select Case I
                    Case -1
                        Return m_TopBorder
                    Case -2
                        Return m_LeftBorder
                    Case -3
                        Return m_BottomBorder
                    Case -4
                        Return m_RightBorder
                End Select
            End Get
            Set(ByVal value As WdLineStyle)
                Select Case I
                    Case -1
                        m_TopBorder = value
                    Case -2
                        m_LeftBorder = value
                    Case -3
                        m_BottomBorder = value
                    Case -4
                        m_RightBorder = value
                End Select
            End Set
        End Property
#End Region

    End Class
End Namespace