Imports System.ComponentModel
Namespace Document

    ''' <summary>
    ''' Describes the auto fit behavior of a Word table.
    ''' </summary>
    Public Enum WdAutoFitBehavior As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' The size of the table will automatically be adjusted to the content in the table.
        ''' </summary>
        wdAutoFitContent = 1
        ''' <summary>
        ''' The table has a fixed size, its size is not automatically adjusted.
        ''' </summary>
        wdAutoFitFixed = 0
        ''' <summary>
        ''' The size of the table will automatically be applied to the width of the active window.
        ''' </summary>
        wdAutoFitWindow = 2
    End Enum

    ''' <summary>
    ''' Describes the vertical alignment of text in a table cell.
    ''' </summary>
    Public Enum WdCellVerticalAlignment As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' Text will be aligned at the bottom of the cell.
        ''' </summary>
        wdCellAlignVerticalBottom = 3
        ''' <summary>
        ''' Text will be aligned at the center of the cell.
        ''' </summary>
        wdCellAlignVerticalCenter = 1
        ''' <summary>
        ''' Text will be aligned at the top of the cell.
        ''' </summary>
        wdCellAlignVerticalTop = 0
    End Enum

    ''' <summary>
    ''' Collapse Direction in Word range.
    ''' </summary>
    Public Enum WdCollapseDirection As Short
        ''' <summary>
        ''' Range will be reduced to the endpoint.
        ''' </summary>
        wdCollapseEnd = 0
        ''' <summary>
        ''' Range will be reduced to the startpoint.
        ''' </summary>
        wdCollapseStart = 1
    End Enum

    ''' <summary>
    ''' Line style of table cell borders
    ''' </summary>
    Public Enum WdLineStyle As Short
        ''' <summary>
        ''' Line style not set.
        ''' </summary>
        wdLineStyleNotSet = -1
        ''' <summary>
        ''' No line.
        ''' </summary>
        wdLineStyleNone = 0
        ''' <summary>
        ''' Single line.
        ''' </summary>
        wdLineStyleSingle = 1
        ''' <summary>
        ''' Single dotted line.
        ''' </summary>
        wdLineStyleDot = 2
        ''' <summary>
        ''' Single Dashed line with small gap.
        ''' </summary>
        wdLineStyleDashSmallGap = 3
        ''' <summary>
        ''' Single Dashed line with large gap.
        ''' </summary>
        wdLineStyleDashLargeGap = 4
        ''' <summary>
        ''' Single Dash Dot line.
        ''' </summary>
        wdLineStyleDashDot = 5
        ''' <summary>
        ''' Single Dash Dot Dot line.
        ''' </summary>
        wdLineStyleDashDotDot = 6
        ''' <summary>
        ''' Double line.
        ''' </summary>
        wdLineStyleDouble = 7
    End Enum

    ''' <summary>
    ''' Alignment of Word paragraphs.
    ''' </summary>
    Public Enum WdParagraphAlignment As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' Centered.
        ''' </summary>
        wdAlignParagraphCenter = 1
        ''' <summary>
        ''' Justified oriented.
        ''' </summary>
        wdAlignParagraphJustify = 3
        ''' <summary>
        ''' Left oriented.
        ''' </summary>
        wdAlignParagraphLeft = 0
        ''' <summary>
        ''' Right oriented.
        ''' </summary>
        wdAlignParagraphRight = 2
    End Enum

    ''' <summary>
    ''' Alignment of table rows.
    ''' </summary>
    Public Enum WdRowAlignment As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' Centered.
        ''' </summary>
        wdAlignRowCenter = 1
        ''' <summary>
        ''' Left oriented.
        ''' </summary>
        wdAlignRowLeft = 0
        ''' <summary>
        ''' Right oriented.
        ''' </summary>
        wdAlignRowRight = 2
    End Enum

    ''' <summary>
    ''' Underline style of text segments.
    ''' </summary>
    Public Enum WdUnderline As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' Double underline.
        ''' </summary>
        wdUnderlineDouble = 3
        ''' <summary>
        ''' No underline.
        ''' </summary>
        wdUnderlineNone = 0
        ''' <summary>
        ''' Single underline.
        ''' </summary>
        wdUnderlineSingle = 1
    End Enum

    ''' <summary>
    ''' Line spacing of paragraphs.
    ''' </summary>
    Public Enum WdLineSpacing As Short
        ''' <summary>
        ''' Not set.
        ''' </summary>
        NotSet = -1
        ''' <summary>
        ''' 1.5 lines spacing.
        ''' </summary>
        wdLineSpace1pt5 = 1
        ''' <summary>
        ''' 2 lines spacing.
        ''' </summary>
        wdLineSpaceDouble = 2
        ''' <summary>
        ''' Single line spacing.
        ''' </summary>
        wdLineSpaceSingle = 0
    End Enum
    ''' <summary>
    ''' Is the type of break.
    ''' </summary>
    Public Enum WdBreakType As Short
        ''' <summary>
        ''' Column break at the insertion point.
        ''' </summary>
        wdColumnBreak = 8
        ''' <summary>
        ''' Page break at the insertion point.
        ''' </summary>
        wdPageBreak = 7
        ''' <summary>
        ''' New text-section without a corresponding change of page.
        ''' </summary>
        wdSectionBreakContinuous = 3
    End Enum
    ''' <summary>
    ''' View type for Word windows.
    ''' </summary>
    Public Enum WdViewType
        ''' <summary>
        ''' Master view
        ''' </summary>
        wdMasterView = 5
        ''' <summary>
        ''' Normal view. 
        ''' </summary>
        wdNormalView = 1
        ''' <summary>
        ''' Overview. 
        ''' </summary>
        wdOutlineView = 2
        ''' <summary>
        ''' Print preview. 
        ''' </summary>
        wdPrintPreview = 4
        ''' <summary>
        ''' Print view. 
        ''' </summary>
        wdPrintView = 3
        ''' <summary>
        ''' Reading view. 
        ''' </summary>
        wdReadingView = 7
        ''' <summary>
        ''' Web view. 
        ''' </summary>
        wdWebView = 6
    End Enum

End Namespace