Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Generic list for enumerable items.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Never)> _
    Public Class ItemsList(Of T)
        Implements IEnumerable(Of T)

        ''' <summary>
        ''' items
        ''' </summary>
        Private m_Objects As New List(Of T)

        ''' <summary>
        ''' Adds a new item to this list.
        ''' </summary>
        Protected Friend Overridable Sub AddObject(ByVal Obj As T)
            m_Objects.Add(Obj)
        End Sub
        ''' <summary>
        ''' Number of items.
        ''' </summary>
        ReadOnly Property Count() As Integer
            Get
                Return m_Objects.Count
            End Get
        End Property

        ''' <summary>
        ''' Enumerator for the IEnumerable implemetation.
        ''' </summary>
        Public Function GetEnumerator() As System.Collections.Generic.IEnumerator(Of T) Implements System.Collections.Generic.IEnumerable(Of T).GetEnumerator
            Return m_Objects.GetEnumerator
        End Function
        ''' <summary>
        ''' Enumerator for the IEnumerable implemetation.
        ''' </summary>
        <EditorBrowsable(EditorBrowsableState.Never)> _
        Public Function GetEnumerator1() As System.Collections.IEnumerator Implements System.Collections.IEnumerable.GetEnumerator
            Return m_Objects.GetEnumerator
        End Function
        ''' <summary>
        ''' Returns an item by index.
        ''' </summary>
        Default ReadOnly Property Item(ByVal Index As Integer) As T
            Get
                Return m_Objects.Item(Index)
            End Get
        End Property
    End Class
End Namespace