Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of paragraphs in a range description.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Paragraphs
        Inherits RangeItemsList(Of Paragraph)
        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Rng">Referenced range description.</param>
        Friend Sub New(ByVal Rng As Range)
            MyBase.New(Rng)
        End Sub
        ''' <summary>
        ''' Adds a paragraph to the existing objects in this range and returns it.
        ''' </summary>
        Public Function Add() As Paragraph
            Dim Result As New Paragraph
            MyBase.AddObject(Result)
            Return Result
        End Function
        ''' <summary>
        ''' Adds a paragraph with alignment to the existing objects in this range description and returns it.
        ''' </summary>
        ''' <param name="Alignment">Alignment of the new paragraph.</param>
        Public Function Add(ByVal Alignment As WdParagraphAlignment) As Paragraph
            Dim Result As New Paragraph(Alignment)
            MyBase.AddObject(Result)
            Return Result
        End Function
    End Class
End Namespace