Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Generic List for writable objects in a range description.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Never)> _
    Public Class RangeItemsList(Of T As WritableObject)
        Inherits ItemsList(Of T)
        ''' <summary>
        ''' Referenced range description.
        ''' </summary>
        Private m_Range As Range
        ''' <summary>
        ''' Referenced range description.
        ''' </summary>
        ReadOnly Property Range() As Range
            Get
                Return m_Range
            End Get
        End Property
        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Rng">Referenced range descripton.</param>
        Public Sub New(ByVal Rng As Range)
            m_Range = Rng
        End Sub
        ''' <summary>
        ''' Adds a new object to this list and returns it.
        ''' </summary>
        Protected Friend Overrides Sub AddObject(ByVal Obj As T)
            MyBase.AddObject(Obj)
            m_Range.Contents.Add(Obj)
        End Sub
    End Class
End Namespace