Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of tables in a range description.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Tables
        Inherits RangeItemsList(Of Table)
        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Rng">Referenced range description.</param>
        Friend Sub New(ByVal Rng As Range)
            MyBase.New(Rng)
        End Sub
        ''' <summary>
        ''' Adds a table to the existing objects in this range description and returns it.
        ''' </summary>
        ''' <param name="NumRows">Number of rows.</param>
        ''' <param name="NumColumns">Number of columns.</param>
        Public Function Add(ByVal NumRows As Integer, ByVal NumColumns As Integer) As Table
            Dim Result As New Table(NumRows, NumColumns)
            MyBase.AddObject(Result)
            Return Result
        End Function
    End Class
End Namespace