Imports System.ComponentModel
Namespace Document
    ''' <summary>
    ''' Collection of text segments in a range description.
    ''' </summary>
    <EditorBrowsable(EditorBrowsableState.Advanced)> _
    Public Class Text
        Inherits RangeItemsList(Of TextSegment)
        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Rng">Referenced range description.</param>
        Friend Sub New(ByVal Rng As Range)
            MyBase.New(Rng)
        End Sub
        ''' <summary>
        ''' Adds a new empty segment to this list.
        ''' </summary>
        Public Function Add() As TextSegment
            Dim Result As New TextSegment
            MyBase.AddObject(Result)
            Return Result
        End Function
        ''' <summary>
        ''' Adds a new segment to this range description.
        ''' </summary>
        ''' <param name="Text">Text content.</param>
        Public Function Add(ByVal Text As String) As TextSegment
            Dim Result As New TextSegment(Text)
            MyBase.AddObject(Result)
            Return Result
        End Function
    End Class
End Namespace